require "test_helper"

class Api::V1::RecordsControllerTest < ActionDispatch::IntegrationTest
  setup do
    @record = records(:one)
    @activity = activities(:one)
    @task = tasks(:one)
  end

  # INDEX
  test "should access index" do
    get api_v1_activity_task_records_url(@activity, @task),
    headers: { Authorization: JsonWebToken.encode(user_id: @record.user_id) },
    as: :json
    assert_response :success
  end

  test "should not access index" do
    get api_v1_activity_task_records_url(@activity, @task),
    as: :json
    assert_response :forbidden
  end

  # SHOW
  test "should access show" do
    get api_v1_activity_task_record_url(@activity, @task, @record),
    headers: { Authorization: JsonWebToken.encode(user_id: @record.user_id) },
    as: :json
    assert_response :success
  end

  test "should not access show" do
    get api_v1_activity_task_record_url(@activity, @task, @record),
    as: :json
    assert_response :forbidden
  end
end
